"""
Author: Michel Peltriaux
Organization: Struktur- und Genehmigungsdirektion Nord, Rhineland-Palatinate, Germany
Contact: michel.peltriaux@sgdnord.rlp.de
Created on: 22.07.21

"""
from konova.filters import QueryTableFilter, CheckboxTableFilter, SelectionTableFilter


class InterventionTableFilter:
    selection_filter = None
    query_filter = None
    checkbox_filter = None
    qs = None

    def __init__(self, *args, **kwargs):
        user = kwargs.get("user", None)
        qs = kwargs.get("queryset", None)
        request_data = kwargs.get("data", None)

        self.selection_filter = SelectionTableFilter(
            user=user,
            data=request_data,
            queryset=qs,
        )
        self.query_filter = QueryTableFilter(
            user=user,
            data=request_data,
            queryset=self.selection_filter.qs,
        )
        self.checkbox_filter = CheckboxTableFilter(
            user=user,
            data=request_data,
            queryset=self.query_filter.qs,
        )
        self.qs = self.checkbox_filter.qs
